Skip to main content
Retrieves all transactions. To limit the potentially large return size, it is recommended that the account or subscription query parameters be used to filter, in addition to pagination.

HTTP Request

GET https://api.vindicia.com/transactions

Route (URL) Parameters

None.

Query Parameters

Accepts

None.

Returns

JSON - A list array with a data property that contains an array of up to limit Transactions, starting after the specified starting_after Transaction (or ending before the specified ending_before Transaction). Each entry in the array is a full Transaction object. If no more Transactions are available, the resulting array will be empty. This request should never throw an error. A list of Transaction objects matching the query. Also:
  • “total_count”: Integer count of the number of Transactions in the returned list.
  • “url”: The query string provided in the request
  • “next”: The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here
  • “previous”: The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here

Example Request

The above command returns JSON structured like this:
Parent topic:Transactions